.welcome {
  padding-top: 6rem;
}

.container {
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  position: relative;
}

.welcome-wrapper {
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.welcome-columns {
  display: flex;
  box-sizing: content-box;
}

.welcome-column {
  width: 50%;
  padding: 0 1.25rem;
}

.welcome-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.welcome-left > h1 {
  white-space: nowrap;
}

.welcome-left > p {
  line-height: 1.6;
}

.welcome-right > img {
  width: 130%;
}

.welcome-heading {
  font-size: 3rem;
  font-weight: 400;
  margin: 0 0 1rem 0;
  line-height: 1.2;
  letter-spacing: -0.02em;
}

.welcome-button {
  display: flex;
}

.welcome-button > a {
  white-space: nowrap;
}

.text-primary {
  color: #335eea;
}

.introduce-text {
  color: #869ab8;
  font-size: 1.3125rem;
  font-weight: 400;
  margin-bottom: 2rem;
  margin-top: 0;
}

.btn {
  font-size: 1.0625rem;
  font-weight: 500;
  padding: 1.15rem 1.25rem;
  border-radius: 5px;
}

.view-all-pages-button {
  margin-right: 0.25rem;
  background-color: #335eea;
  color: white;
  display: inline-block;
  cursor: pointer;
}

.fa-arrow-right {
  margin-left: 0.75rem;
}

.documentation-button {
  background-color: rgba(51, 94, 234, 0.1);
  color: #335eea;
}

@media only screen and (min-width: 1200px) {
  .container {
    max-width: 1040px !important;
  }
}

@media only screen and (min-width: 990px) and (max-width: 1200px) {
  .container {
    max-width: 960px;
  }
}

@media only screen and (min-width: 760px) and (max-width: 990px) {
  .container {
    max-width: 720px;
  }

  .welcome-heading {
    font-size: 2.25rem;
  }

  .introduce-text {
    font-size: 1.1875rem;
  }

  .welcome-left {
    width: 58.33333333%;
  }

  .welcome-right {
    width: 41.66666667%;
  }
}

@media only screen and (min-width: 575px) and (max-width: 760px) {
  .container {
    width: 540px;
  }

  .welcome-columns {
    flex-direction: column-reverse;
    align-items: center;
  }

  .welcome {
    padding-top: 0;
  }

  .welcome-column {
    width: unset;
    align-items: center;
    text-align: center;
  }

  .welcome-heading {
    font-size: 2.25rem;
  }

  .introduce-text {
    font-size: 1.1875rem;
  }

  .welcome-right > img {
    width: 100%;
  }

  .view-all-pages-button > i {
    display: none;
  }
}

@media only screen and (max-width: 575px) {
  .container {
    /* max-width: 540px; */
    /* width: 100%; */
    margin-left: auto;
    margin-right: auto;
  }

  .welcome-columns {
    flex-direction: column-reverse;
    align-items: center;
  }

  .welcome {
    padding-top: 0;
  }

  .welcome-column {
    width: unset;
    align-items: center;
    text-align: center;
  }

  .welcome-heading {
    font-size: 2.25rem;
  }

  .introduce-text {
    font-size: 1.1875rem;
  }

  .welcome-right > img {
    width: 100%;
  }

  .view-all-pages-button > i {
    display: none;
  }
}

@media only screen and (max-width: 370px) {
  .welcome-button {
    flex-direction: column !important;
  }
}
